kdeui Library: KIconView Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIconView Class Reference

A variant of QIconView that honors KDE's system-wide settings. More...

`#include <kiconview.h>`

Inheritance diagram for KIconView:

[legend]
Collaboration diagram for KIconView:

[legend]
List of all members.

## Public Types
enum | Mode { Execute, Select }
## Signals
void | executed (QIconViewItem *item)
void | executed (QIconViewItem *item, const QPoint &pos)
void | held (QIconViewItem *item)
void | doubleClicked (QIconViewItem *item, const QPoint &pos)
## Public Member Functions
| KIconView (QWidget *parent=0, const char *name=0, WFlags f=0)
void | setMode (Mode m)
Mode | mode () const
virtual void | setFont (const QFont &)
void | setIconTextHeight (int n)
int | iconTextHeight () const
virtual void | takeItem (QIconViewItem *item)
## Protected Slots
void | slotOnItem (QIconViewItem *item)
void | slotOnViewport ()
void | slotSettingsChanged (int)
void | slotAutoSelect ()
## Protected Member Functions
void | emitExecute (QIconViewItem *item, const QPoint &pos)
virtual void | focusOutEvent (QFocusEvent *fe)
virtual void | leaveEvent (QEvent *e)
virtual void | contentsMousePressEvent (QMouseEvent *e)
virtual void | contentsMouseDoubleClickEvent (QMouseEvent *e)
virtual void | contentsMouseReleaseEvent (QMouseEvent *e)
virtual void | contentsDragEnterEvent (QDragEnterEvent *e)
virtual void | contentsDragMoveEvent (QDragMoveEvent *e)
virtual void | contentsDropEvent (QDropEvent *e)
virtual void | wheelEvent (QWheelEvent *e)
void | cancelPendingHeldSignal ()
virtual void | virtual_hook (int id, void *data)
## Properties
Mode | mode
## Friends
class | KIconViewItem

## Detailed Description

A variant of QIconView that honors KDE's system-wide settings.

This Widget extends the functionality of QIconView to honor the system wide settings for Single Click/Double Click mode, Auto Selection and Change Cursor over Link.

There is a new signal executed(). It gets connected to either QIconView::clicked() or QIconView::doubleClicked() depending on the KDE wide Single Click/Double Click settings. It is strongly recommended that you use this signal instead of the above mentioned. This way you donīt need to care about the current settings. If you want to get informed when the user selects something connect to the QIconView::selectionChanged() signal.

Definition at line 42 of file kiconview.h.

## Member Enumeration Documentation

enum KIconView::Mode

| KIconView has two different operating modes. Execute mode is depending on the configuration of single-click or double-click where the signal executed() will be emitted upon click/double-click. In Select mode, this signal will not be emitted. Default is Execute mode. Definition at line 62 of file kiconview.h.

## Member Function Documentation

void KIconView::setMode | ( | Mode | m | ) |

| Sets the mode to Execute or Select. In Execute mode, the signal executed() will be emitted when the user clicks/double-clicks an item. Select mode is the normal QIconView mode. Default is Execute. Definition at line 89 of file kiconview.cpp.

Mode KIconView::mode | ( |  | ) | const

| Returns: the current Mode, either Execute or Select.

void KIconView::setFont | ( | const QFont & |  | ) | `[virtual]`

| Reimplemented for internal purposes. Definition at line 398 of file kiconview.cpp. Referenced by setIconTextHeight().

void KIconView::setIconTextHeight | ( | int | n | ) |

  | Set the maximum number of lines that will be used to display icon text. Setting this value will enable word-wrap, too. Since: 3.3 Parameters:
  | n | Number of lines
Definition at line 429 of file kiconview.cpp. References iconTextHeight(), setFont(), and QIconView::setWordWrapIconText().

int KIconView::iconTextHeight | ( |  | ) | const

| Returns: The height of icon text in lines Since: 3.3 Definition at line 424 of file kiconview.cpp. References QIconView::wordWrapIconText(). Referenced by setIconTextHeight().

void KIconView::takeItem | ( | QIconViewItem * | item | ) | `[virtual]`

| Reimplemented for held() signal behavior internal purposes. Reimplemented from QIconView. Definition at line 368 of file kiconview.cpp. References QIconView::takeItem().

void KIconView::executed | ( | QIconViewItem * | item | ) | `[signal]`

  | This signal is emitted whenever the user executes an iconview item. That means depending on the KDE wide Single Click/Double Click setting the user clicked or double clicked on that item. Parameters:
  | item | is the pointer to the executed iconview item.
Note that you may not delete any QIconViewItem objects in slots connected to this signal.

void KIconView::executed | ( | QIconViewItem * | item,
|  | const QPoint & | pos
| ) | `[signal]`

  | This signal is emitted whenever the user executes an iconview item. That means depending on the KDE wide Single Click/Double Click setting the user clicked or double clicked on that item. Parameters:
  | item | is the pointer to the executed iconview item.
  | pos | is the position where the user has clicked
Note that you may not delete any QIconViewItem objects in slots connected to this signal.

void KIconView::held | ( | QIconViewItem * | item | ) | `[signal]`

  | This signal is emitted whenever the user hold something on an iconview during a drag'n'drop. Parameters:
  | item | is the pointer to the iconview item the hold event occur.
Note that you may not delete any QIconViewItem objects in slots connected to this signal.

void KIconView::doubleClicked | ( | QIconViewItem * | item,
|  | const QPoint & | pos
| ) | `[signal]`

  | This signal gets emitted whenever the user double clicks into the iconview. Parameters:
  | item | is the pointer to the clicked iconview item.
  | pos | is the position where the user has clicked, and
Note that you may not delete any QIconViewItem objects in slots connected to this signal. This signal is more or less here for the sake of completeness. You should normally not need to use this. In most cases it's better to use executed() instead.

void KIconView::slotAutoSelect | ( |  | ) | `[protected, slot]`

| Auto selection happend. Definition at line 159 of file kiconview.cpp. References QIconView::clearSelection(), QIconView::currentItem(), endl(), QIconView::firstItem(), QIconViewItem::height(), QIconView::index(), QIconViewItem::intersects(), QIconViewItem::isSelected(), kdDebug(), KApplication::keyboardMouseState(), QIconViewItem::nextItem(), QRect::normalize(), QIconViewItem::rect(), QIconView::selectionChanged(), QIconView::selectionMode(), QIconView::setCurrentItem(), QRect::setHeight(), QIconView::setSelected(), QRect::setWidth(), QRect::unite(), QIconViewItem::width(), QIconViewItem::x(), and QIconViewItem::y().

void KIconView::cancelPendingHeldSignal | ( |  | ) | `[protected]`

| This method allows to handle correctly cases where a subclass needs the held() signal to not be triggered without calling a KIconView::contentsDrag*Event() method (which have side effects because they forward to QIconView). Definition at line 379 of file kiconview.cpp.

The documentation for this class was generated from the following files:

- kiconview.h
- kiconview.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003